Get invoice PDF
The invoice as a PDF file, base64 encoded.
GET https://cotlet.dev/api/v1/fakturownia/invoices/{invoice_id}/pdf
read
Returns the PDF of one invoice as base64 with its file name. For an invoice sent to KSeF, the PDF shows the KSeF number, verification link and QR code.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice_id integer required | integer | Invoice ID from list_invoices. |
Request
curl https://cotlet.dev/api/v1/fakturownia/invoices/1/pdf \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("fakturownia", "get_invoice_pdf", {"invoice_id":1}) const result = await cotlet.call('fakturownia', 'get_invoice_pdf', {"invoice_id":1}); cotlet call fakturownia get_invoice_pdf --data '{"invoice_id":1}' Example response
{
"invoice_id": 5120,
"file_name": "14-10-2026-1.pdf",
"content_base64": "JVBERi0xLjQKJcfsj6IK..."
}